;----------------------------------------------------------------------------
;				NES Startup
;					Copyright (C) 2007, Tekepen
;----------------------------------------------------------------------------
.setcpu		"6502"
.autoimport	on
.IMPORTZP	sp

.global	_NesMain

; iNESwb_
.segment "HEADER"
	.byte	$4E, $45, $53, $1A	; "NES" Header
	.byte	$02			; PRG-BANKS
	.byte	$01			; CHR-BANKS
	.byte	$01			; Vetrical Mirror
	.byte	$00			; 
	.byte	$00, $00, $00, $00	; 
	.byte	$00, $00, $00, $00	; 

.segment "STARTUP"
; Zbg荞
.proc	Reset
	sei
	ldx	#$ff
	txs
	
	; \tgEFAX^bNݒ
	lda	#$ff
	sta	sp
	lda	#$03
	sta	sp + 1
	
	jsr	_NesMain
.endproc
.proc	NMI
	jsr _NMIProc
.endproc


.segment "SINCOSDATA"                 ;$c000
		.incbin "sin.bin"    ;address=$c000
		.incbin "cos.bin"    ;address=$c168
.segment "VECINFO"
	.word	NMI
	.word	Reset
	.word	$0000

; p^[e[u
.segment "CHARS"
	.incbin "character.chr"
	.incbin	"sprite.chr"
	